Freelancers
Invite Freelancer
Invites a freelancer by email.
Track pending invitations with GET /api/v1/freelancers?status=pending.
POST
https://api.folkyn.com
/
api
/
v1
/
freelancers
/
invitations
Invite Freelancer
curl --request POST \
--url https://api.folkyn.com/api/v1/freelancers/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"job_title": "Senior Developer",
"tag_ids": [
"aaaaaaaa-bbbb-4ccc-dddd-eeeeeeeeeeee"
],
"invite_locale": "en"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jane.doe@example.com',
first_name: 'Jane',
last_name: 'Doe',
job_title: 'Senior Developer',
tag_ids: ['aaaaaaaa-bbbb-4ccc-dddd-eeeeeeeeeeee'],
invite_locale: 'en'
})
};
fetch('https://api.folkyn.com/api/v1/freelancers/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.folkyn.com/api/v1/freelancers/invitations"
payload = {
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"job_title": "Senior Developer",
"tag_ids": ["aaaaaaaa-bbbb-4ccc-dddd-eeeeeeeeeeee"],
"invite_locale": "en"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.folkyn.com/api/v1/freelancers/invitations"
payload := strings.NewReader("{\n \"email\": \"jane.doe@example.com\",\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"job_title\": \"Senior Developer\",\n \"tag_ids\": [\n \"aaaaaaaa-bbbb-4ccc-dddd-eeeeeeeeeeee\"\n ],\n \"invite_locale\": \"en\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"invitation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"status": "pending",
"email_sent": true,
"is_existing_freelancer": true
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}Authorizations
bearerAuthApiKeyHeader
Use Authorization: Bearer <your_api_key>
Body
application/json
Optional job title stored on the invitation.
Active team member profile UUID as referent.
Organizational team UUID on the invitation. At most one team per person.
Maximum array length:
1Team member profile UUID shown as email sender; defaults to first active team-admin.
Locale for the invitation email (fr or en).
Available options:
fr, en Response
Invitation created
Show child attributes
Show child attributes
⌘I
Invite Freelancer
curl --request POST \
--url https://api.folkyn.com/api/v1/freelancers/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"job_title": "Senior Developer",
"tag_ids": [
"aaaaaaaa-bbbb-4ccc-dddd-eeeeeeeeeeee"
],
"invite_locale": "en"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jane.doe@example.com',
first_name: 'Jane',
last_name: 'Doe',
job_title: 'Senior Developer',
tag_ids: ['aaaaaaaa-bbbb-4ccc-dddd-eeeeeeeeeeee'],
invite_locale: 'en'
})
};
fetch('https://api.folkyn.com/api/v1/freelancers/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.folkyn.com/api/v1/freelancers/invitations"
payload = {
"email": "jane.doe@example.com",
"first_name": "Jane",
"last_name": "Doe",
"job_title": "Senior Developer",
"tag_ids": ["aaaaaaaa-bbbb-4ccc-dddd-eeeeeeeeeeee"],
"invite_locale": "en"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.folkyn.com/api/v1/freelancers/invitations"
payload := strings.NewReader("{\n \"email\": \"jane.doe@example.com\",\n \"first_name\": \"Jane\",\n \"last_name\": \"Doe\",\n \"job_title\": \"Senior Developer\",\n \"tag_ids\": [\n \"aaaaaaaa-bbbb-4ccc-dddd-eeeeeeeeeeee\"\n ],\n \"invite_locale\": \"en\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"invitation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"status": "pending",
"email_sent": true,
"is_existing_freelancer": true
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}